# Metrics (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Library

## Class Metrics

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Library.Metrics

    public class Metrics
    extends java.lang.Object

bStats collects some data for plugin authors. Check out https://bStats.org/ to learn more about bStats!

### Field Summary

Fields
`static int` `B_STATS_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Metrics(SubPlugin plugin)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`com.google.gson.JsonObject` `getPluginData()` Gets the plugin specific data.
`static void` `linkMetrics(java.lang.Object metrics)` Links an other metrics class with this class.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### B_STATS_VERSION

    public static final int B_STATS_VERSION

See Also:
  Constant Field Values

### Constructor Detail

#### Metrics

    public Metrics(SubPlugin plugin)

### Method Detail

#### linkMetrics

    public static void linkMetrics(java.lang.Object metrics)

Links an other metrics class with this class. This method is called using Reflection.

Parameters:
  `metrics` - An object of the metrics class to link.

#### getPluginData

    public com.google.gson.JsonObject getPluginData()

Gets the plugin specific data. This method is called using Reflection.

Returns:
  The plugin specific data.